Package org.apache.groovy.ginq.dsl.expression

# Class ShutdownExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.ShutdownExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

public class ShutdownExpression extends AbstractGinqExpression
Represent the shutdown expression

Since:
  4.0.0

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShutdownExpression(Expression expr, int mode)`
  Creates a shutdown expression.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<R> R`
  `accept(GinqAstVisitor<R> visitor)`
  Accepts a visitor for this expression.
  `Expression`
  `getExpr()`
  Returns the original shutdown expression.
  `int`
  `getMode()`
  Returns the shutdown mode.
  `String`
  `getText()`
  Returns the textual form of the shutdown expression.
  `String`
  `toString()`
  Returns the textual form of this expression.

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Constructor Details

  - ### ShutdownExpression

    public ShutdownExpression(Expression expr, int mode)
    Creates a shutdown expression.
    Parameters:
      `expr` - the original shutdown expression
      `mode` - the shutdown mode

- ## Method Details

  - ### accept

    public <R> R accept(GinqAstVisitor<R> visitor)
    Accepts a visitor for this expression.
    Specified by:
      `accept` in class `AbstractGinqExpression`
    Type Parameters:
      `R` - the visit result type
    Parameters:
      `visitor` - the visitor to accept
    Returns:
      the visit result

  - ### getExpr

    public Expression getExpr()
    Returns the original shutdown expression.
    Returns:
      the original expression

  - ### getMode

    public int getMode()
    Returns the shutdown mode.
    Returns:
      the shutdown mode

  - ### getText

    public String getText()
    Returns the textual form of the shutdown expression.
    Overrides:
      `getText` in class `ASTNode`
    Returns:
      the expression text

  - ### toString

    public String toString()
    Returns the textual form of this expression.
    Overrides:
      `toString` in class `Object`
    Returns:
      the expression text